Bug 173216 - Review Request: OSIV: Open Source Image Velocimetry
Review Request: OSIV: Open Source Image Velocimetry
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
David Lawrence
http://mitgcm.org/eh3/fedora_misc/osi...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-14 21:43 EST by Ed Hill
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 20:46:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Hill 2005-11-14 21:43:38 EST
Spec Name or Url: http://mitgcm.org/eh3/fedora_misc/osiv.spec
SRPM Name or Url: http://mitgcm.org/eh3/fedora_misc/osiv-0.1.1-1.src.rpm

Description:

OSIV is an Open Source Image Velocimetry package.  Its a command-line tool 
for determining fluid velocities from pairs of images.
Comment 1 Kevin Fenzi 2005-11-17 22:47:01 EST
Good: 
- rpmlint checks return: ok
- package meets naming guidelines
- package meets packaging guidelines
- license GPL, ok. 
- source matches upstream
- package compiles on fc4/devel (x86)
- no missing BR
- no unnecessary BR
- permissions ok

questions/info needed: 

- Should the java/matlab support files be packaged?

nits: 

- Might add AUTHORS file to doc?

I can't seem to yet assign this bug to myself to approve, will try and track
down why. :)
Comment 2 Ed Hill 2005-11-19 18:28:09 EST
Thanks for the review!

> - Should the java/matlab support files be packaged?

Unfortunately, the three MatLAB files are all MEX-files and, AFAIK, cannot 
be used with Octave:

  http://www.octave.org/octave-lists/archive/help-octave.1996/msg00167.html

So, because of their build dependencies on non-Fedora packages, it seems 
that they can't be included in Fedora--at least not in non-source form.

The java files I'll try to include in a future version.  They have no 
associatded Makefiles so I'm not certain how to package them -- any 
suggestions?

If its acceptable, I'd like to leave the java bits out for the time 
being since they are not a critical part of the OSIV command-line tools
(works just fine without them).

> - Might add AUTHORS file to doc?

Sure, done!

http://mitgcm.org/eh3/fedora_misc/osiv-0.1.1-2.src.rpm
http://mitgcm.org/eh3/fedora_misc/osiv.spec
Comment 3 Kevin Fenzi 2005-11-19 21:39:14 EST
ok on the MatLab files. :(

For the java files, not sure how best to package them. They would likely be
copied into a web server area to be used? But thats all likely to be very site
specific. Perhaps adding them into a share dir so they can be copied where they
are needed? As you say though that can be done down the road. 

Everything else looks good to me... 

APPROVED. 
Comment 4 Ed Hill 2005-11-21 20:46:02 EST
Built on FC-4 and devel...

Note You need to log in before you can comment on or make changes to this bug.